[PATCH] Fix NQ SZ_GetSpace overflowed flag

Set the overflowed flag on the sizebuf _after_ it is cleared. Otherwise, the
setting is just lost. This fix was alreay in QW. Also following QW's lead on
the printf thing...

diff -urN a/NQ/common.c head/NQ/common.c
--- a/NQ/common.c	2006-02-18 11:34:50.000000000 +1030
+++ head/NQ/common.c	2006-02-19 10:16:41.000000000 +1030
@@ -641,16 +641,16 @@
 
     if (buf->cursize + length > buf->maxsize) {
 	if (!buf->allowoverflow)
-	    Sys_Error("%s: overflow without allowoverflow set", __func__);
-
+	    Sys_Error("%s: overflow without allowoverflow set (%d)", __func__,
+		      buf->maxsize);
 	if (length > buf->maxsize)
 	    Sys_Error("%s: %i is > full buffer size", __func__, length);
-
-	buf->overflowed = true;
-	Con_Printf("%s: overflow\n", __func__);
+	if (developer.value)
+	    /* Con_Printf may be redirected */
+	    Sys_Printf("%s: overflow\n", __func__);
 	SZ_Clear(buf);
+	buf->overflowed = true;
     }
-
     data = buf->data + buf->cursize;
     buf->cursize += length;
 
diff -urN a/QW/common/common.c head/QW/common/common.c
--- a/QW/common/common.c	2006-02-18 11:34:50.000000000 +1030
+++ head/QW/common/common.c	2006-02-19 10:16:48.000000000 +1030
@@ -749,15 +749,14 @@
 	if (!buf->allowoverflow)
 	    Sys_Error("%s: overflow without allowoverflow set (%d)", __func__,
 		      buf->maxsize);
-
 	if (length > buf->maxsize)
 	    Sys_Error("%s: %i is > full buffer size", __func__, length);
-
-	Sys_Printf("%s: overflow\n", __func__);	// because Con_Printf may be redirected
+	if (developer.value)
+	    /* Con_Printf may be redirected */
+	    Sys_Printf("%s: overflow\n", __func__);
 	SZ_Clear(buf);
 	buf->overflowed = true;
     }
-
     data = buf->data + buf->cursize;
     buf->cursize += length;
 
